#!/usr/bin/python3
from PyQt6.QtGui import QDragEnterEvent
from PyQt6.QtWidgets import QTabWidget, QTabBar


class PlaylistTabs(QTabWidget):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.setTabBar(PlaylistTabBar(self))

        self.setMovable(True)
        self.setAcceptDrops(True)


class PlaylistTabBar(QTabBar):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.tab_widget = parent

        self.setAcceptDrops(True)

    def dragEnterEvent(self, event: QDragEnterEvent):
        tab = self.tabAt(event.position().toPoint())

        self.tab_widget.setCurrentIndex(tab)

